com.amos.server.webrtc

## Class PeerObserver

- java.lang.Object
- - com.amos.server.webrtc.PeerObserver

- All Implemented Interfaces:
    org.webrtc.PeerConnection.Observer

      public class PeerObserver
      extends java.lang.Object
      implements org.webrtc.PeerConnection.Observer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAddStream(org.webrtc.MediaStream mediaStream)`
    `void` | `onAddTrack(org.webrtc.RtpReceiver rtpReceiver, org.webrtc.MediaStream[] mediaStreams)`
    `void` | `onDataChannel(org.webrtc.DataChannel dataChannel)`
    `void` | `onIceCandidate(org.webrtc.IceCandidate iceCandidate)`
    `void` | `onIceCandidatesRemoved(org.webrtc.IceCandidate[] iceCandidates)`
    `void` | `onIceConnectionChange(org.webrtc.PeerConnection.IceConnectionState iceConnectionState)`
    `void` | `onIceConnectionReceivingChange(boolean b)`
    `void` | `onIceGatheringChange(org.webrtc.PeerConnection.IceGatheringState iceGatheringState)`
    `void` | `onRemoveStream(org.webrtc.MediaStream mediaStream)`
    `void` | `onRenegotiationNeeded()`
    `void` | `onSignalingChange(org.webrtc.PeerConnection.SignalingState signalingState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeerObserver

          public PeerObserver()

  - ### Method Detail

    - #### onSignalingChange

          public void onSignalingChange(org.webrtc.PeerConnection.SignalingState signalingState)

      Specified by:
        `onSignalingChange` in interface `org.webrtc.PeerConnection.Observer`

    - #### onIceConnectionChange

          public void onIceConnectionChange(org.webrtc.PeerConnection.IceConnectionState iceConnectionState)

      Specified by:
        `onIceConnectionChange` in interface `org.webrtc.PeerConnection.Observer`

    - #### onIceConnectionReceivingChange

          public void onIceConnectionReceivingChange(boolean b)

      Specified by:
        `onIceConnectionReceivingChange` in interface `org.webrtc.PeerConnection.Observer`

    - #### onIceGatheringChange

          public void onIceGatheringChange(org.webrtc.PeerConnection.IceGatheringState iceGatheringState)

      Specified by:
        `onIceGatheringChange` in interface `org.webrtc.PeerConnection.Observer`

    - #### onIceCandidate

          public void onIceCandidate(org.webrtc.IceCandidate iceCandidate)

      Specified by:
        `onIceCandidate` in interface `org.webrtc.PeerConnection.Observer`

    - #### onIceCandidatesRemoved

          public void onIceCandidatesRemoved(org.webrtc.IceCandidate[] iceCandidates)

      Specified by:
        `onIceCandidatesRemoved` in interface `org.webrtc.PeerConnection.Observer`

    - #### onAddStream

          public void onAddStream(org.webrtc.MediaStream mediaStream)

      Specified by:
        `onAddStream` in interface `org.webrtc.PeerConnection.Observer`

    - #### onRemoveStream

          public void onRemoveStream(org.webrtc.MediaStream mediaStream)

      Specified by:
        `onRemoveStream` in interface `org.webrtc.PeerConnection.Observer`

    - #### onDataChannel

          public void onDataChannel(org.webrtc.DataChannel dataChannel)

      Specified by:
        `onDataChannel` in interface `org.webrtc.PeerConnection.Observer`

    - #### onRenegotiationNeeded

          public void onRenegotiationNeeded()

      Specified by:
        `onRenegotiationNeeded` in interface `org.webrtc.PeerConnection.Observer`

    - #### onAddTrack

          public void onAddTrack(org.webrtc.RtpReceiver rtpReceiver,
                                 org.webrtc.MediaStream[] mediaStreams)

      Specified by:
        `onAddTrack` in interface `org.webrtc.PeerConnection.Observer`